{
  "schema_version": "1.4.0",
  "id": "GHSA-j4m3-g4pc-cph8",
  "modified": "2025-04-16T18:31:30Z",
  "published": "2022-12-21T00:30:28Z",
  "aliases": [
    "CVE-2022-47629"
  ],
  "details": "Libksba before 1.6.3 is prone to an integer overflow vulnerability in the CRL signature parser.",
  "severity": [
    {
      "type": "CVSS_V3",
      "score": "CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H"
    }
  ],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2022-47629"
    },
    {
      "type": "WEB",
      "url": "https://dev.gnupg.org/T6284"
    },
    {
      "type": "WEB",
      "url": "https://git.gnupg.org/cgi-bin/gitweb.cgi?p=libksba.git%3Ba=commit%3Bh=f61a5ea4e0f6a80fd4b28ef0174bee77793cf070"
    },
    {
      "type": "WEB",
      "url": "https://git.gnupg.org/cgi-bin/gitweb.cgi?p=libksba.git;a=commit;h=f61a5ea4e0f6a80fd4b28ef0174bee77793cf070"
    },
    {
      "type": "WEB",
      "url": "https://lists.debian.org/debian-lts-announce/2022/12/msg00035.html"
    },
    {
      "type": "WEB",
      "url": "https://security.gentoo.org/glsa/202212-07"
    },
    {
      "type": "WEB",
      "url": "https://security.netapp.com/advisory/ntap-20230316-0011"
    },
    {
      "type": "WEB",
      "url": "https://www.debian.org/security/2022/dsa-5305"
    }
  ],
  "database_specific": {
    "cwe_ids": [
      "CWE-190"
    ],
    "severity": "CRITICAL",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2022-12-20T23:15:00Z"
  }
}